Skip to navigation

Update an environment

View as Markdown
Changes an environment's name, icon, or color. Omitted fields keep their value.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountstringRequired
Account that owns the environment
environmentIdstringRequired
Environment ID

Request

This endpoint expects an object.
colorstring or nullOptional
iconstring or nullOptional
namestring or nullOptional

Response

OK
account_namestringOptional
colorstringOptional
iconstringOptional
idstringOptional
namestringOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error